Next: SELECTED_CHAR_KIND, Previous: SECNDS, Up: Intrinsic Procedures

### 8.214 `SECOND` — CPU time function

Description:
  Returns a `REAL(4)` value representing the elapsed CPU time in seconds. This provides the same functionality as the standard `CPU_TIME` intrinsic, and is only included for backwards compatibility.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL SECOND(TIME)`
  `TIME = SECOND()`

Arguments:

  TIME | Shall be of type `REAL(4)`.

Return value:
  In either syntax, TIME is set to the process's current runtime in seconds.
See also:
  CPU_TIME